cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Contributor
Contributor
10,401 Views
Registered: ‎09-23-2014

Problem with PlanAHead, iMPACT and Ubuntu 14

Jump to solution

I'm having problem to program ML605 using impact. I'm using Ubuntu 14.04LTS , and PlanAHead 14.7.
I'm able to synthesize the design and generate the bitstream, but when I launch the iMPACT, it cannot find the device ML605 connected via USB.

It gives those warnings.
WARNING:iMPACT - Module windrvr6 is not loaded. Please reinstall the cable drivers. See Answer Record 22648.
WARNING:iMPACT:923 - Can not find cable, check cable setup !

When I check using lsusb in the linux terminal the usb connection is there.

I'm stuck with this problem. Can someone help me?

Thank you
Andre

0 Kudos
Reply
1 Solution

Accepted Solutions
Highlighted
Explorer
Explorer
14,425 Views
Registered: ‎05-03-2012

You have JTAG USB device with id 03fd:000d at the address 001:014

By checking my /etc/udev/rules.d/xusbdfwu.rules  (you can google this file)

I found that you need to program 'xusb_emb.hex' code into you JTAG.

 

My address for this file:

    /opt/Xilinx/14.5/LabTools/LabTools/data/xusb_emb.hex

or you can find it with find tool:

    cd /opt/Xilinx; find . -name  xusb_emb.hex

 

Then all you need is run fxload tool this way:

  sudo /sbin/fxload -v -t fx2 -I /opt/Xilinx/14.5/LabTools/LabTools/data/xusb_emb.hex -D /dev/bus/usb/001/014

(check path to .hex code file and path to usb device twice)

 

As result you should see in lsusb:
  Bus XXX Device YYY: ID 03fd:0008 Xilinx, Inc.     (then check rights for /dev/bus/usb/XXX/YYY or do sudo chmod a+rw)

And impact will work fine.

 

Usually udev does all this work.

View solution in original post

17 Replies
Highlighted
Xilinx Employee
Xilinx Employee
10,387 Views
Registered: ‎10-24-2013
Hi,
Ubuntu is unsupported for PlanAhaed tool.

BTW did you check the AR http://www.xilinx.com/support/answers/22648.html
Thanks,Vijay
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.
0 Kudos
Reply
Highlighted
Xilinx Employee
Xilinx Employee
10,379 Views
Registered: ‎04-16-2012

Hi Andre,

 

Cable drivers were not installed on the machine.

See this answer record for installing the cable drivers: http://www.xilinx.com/support/answers/54381.html

 

Thanks,

Vinay

--------------------------------------------------------------------------------------------
Have you tried typing your question in Google? If not you should before posting. Also, MARK this is as an answer in case it helped resolve your query/issue.Give kudos to the post that helped you to find the solution.
0 Kudos
Reply
Highlighted
Explorer
Explorer
10,356 Views
Registered: ‎05-03-2012

Actually IMPACT and drivers support Ubuntu enough.

 

You dont need either windrv either parport, and no kernel drivers at all.

 

IMPACT can use libusb, so you need to install libusb, libusb-dev and fxload.

 

Also you need to install Digilent drivers (can be found with LabTools)

and pcusb (also present in LabTools) but better take from git://git.zerfleddert.de/usb-driver and run sudo ./setup_pcusb.

 

The only goal of setting up digilent and pcusb is prepare /etc/udev to program JTAG when it is found in the system.

(this scripts uses fxload - you can see it in text)

 

After udev sript did fxload programming than IMPACT can use USB jtag thrue libusb.

0 Kudos
Reply
Highlighted
Explorer
Explorer
10,353 Views
Registered: ‎05-03-2012

usb-driver/ from git also can emulate windrv using libusb, but you dont need this since IMACT 11.x as I remember

0 Kudos
Reply
Highlighted
Contributor
Contributor
10,300 Views
Registered: ‎09-23-2014
Cant find the install_script directory in <Xilinx install>/bin/[lin|lin64] or <Xilinx install>/bin/[lin|lin64].

I downloaded the installation files but it doesnt have the install script.

Could you tell me where can I find the install script, please ?
0 Kudos
Reply
Highlighted
Explorer
Explorer
10,291 Views
Registered: ‎05-03-2012
/opt/Xilinx/14.x/LabTools/common/bin/lin64/install_script/install_drivers/linux_drivers/pcusb

but better take pcusb from git, it contains significant fixes

if nothing helps put here your 'lsusb' output
Highlighted
Contributor
Contributor
10,268 Views
Registered: ‎09-23-2014

I tried many things, but none of it worked. 

http://www.xilinx.com/support/answers/54381.html

http://lighttomorrow.wordpress.com/2011/12/18/how-to-install-digilent-cable-driver-for-xilinx-design-suite-on-ubuntu-11-10/

https://engineering.purdue.edu/elab/html/wiki-xilinx-tools-on-ubuntu.html

 

And now, my computer wont display because I did "apt-get update && apt-get upgrade".

I'm new to linux. I'm trying to solve this for a week, but I still cannot program ML605 through JTAG.

 

Attached is the lsusb output and output of iMPACT.

 

In the board I have set S2 to 001010 (6,5,4,3,2,1) and S1 (0000). 

 

Please I need help.

Thank you,

Andre

iMPACT.png
lsusb.png
0 Kudos
Reply
Highlighted
Explorer
Explorer
14,426 Views
Registered: ‎05-03-2012

You have JTAG USB device with id 03fd:000d at the address 001:014

By checking my /etc/udev/rules.d/xusbdfwu.rules  (you can google this file)

I found that you need to program 'xusb_emb.hex' code into you JTAG.

 

My address for this file:

    /opt/Xilinx/14.5/LabTools/LabTools/data/xusb_emb.hex

or you can find it with find tool:

    cd /opt/Xilinx; find . -name  xusb_emb.hex

 

Then all you need is run fxload tool this way:

  sudo /sbin/fxload -v -t fx2 -I /opt/Xilinx/14.5/LabTools/LabTools/data/xusb_emb.hex -D /dev/bus/usb/001/014

(check path to .hex code file and path to usb device twice)

 

As result you should see in lsusb:
  Bus XXX Device YYY: ID 03fd:0008 Xilinx, Inc.     (then check rights for /dev/bus/usb/XXX/YYY or do sudo chmod a+rw)

And impact will work fine.

 

Usually udev does all this work.

View solution in original post

Highlighted
Contributor
Contributor
10,059 Views
Registered: ‎09-23-2014

mikerez.

I had this problem for a month.  

 

Thank you.

Andre

Yeah!!!.png
success.jpg
0 Kudos
Reply
Highlighted
Explorer
Explorer
5,670 Views
Registered: ‎05-03-2012

generally its absolutely enough to get "usb-driver" from git://git.zerfleddert.de/usb-driver and run 'sudo setup_pcusb' with path to LabTools/LabTools

0 Kudos
Reply
Highlighted
Explorer
Explorer
5,261 Views
Registered: ‎05-03-2012

fresh fix for last Ubuntu

 

sudo ln -s /lib/x86_64-linux-gnu/libusb-0.1.so.4.4.4 /usr/lib/x86_64-linux-gnu/libusb.so

0 Kudos
Reply
Highlighted
5,108 Views
Registered: ‎03-18-2015

Could you please elaborate on this answer of yours? I have been getting windrvr6 errors for quite some time. I do not have Labtools installed but I have Impact installed. Can you provide a workaround for that?

0 Kudos
Reply
Highlighted
Scholar
Scholar
5,104 Views
Registered: ‎06-05-2013

Hi @vignesh_xilinx,

 

What is the OS are you using? If windows 7 refer this AR

http://www.xilinx.com/support/answers/44397.html

-Pratham

----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------
0 Kudos
Reply
Highlighted
5,094 Views
Registered: ‎03-18-2015

Hello

 

I using ubuntu 14.04. I noticed that the solution provided by mikerez suggests a woraround using windrvr6 driver. I dont have LabTools installed. I was wondering if the solution would work even without that ( i have impact installed though)

 

Thanks for your response

 

Vignesh

 

0 Kudos
Reply
Highlighted
Explorer
Explorer
5,082 Views
Registered: ‎05-03-2012

windrvr6 is not used

Impact directly uses libusb and USB device ID 03fd:0008 Xilinx, Inc. in Linux

0 Kudos
Reply
Highlighted
4,989 Views
Registered: ‎03-18-2015

Hi mikerez

 

Thanks. I was able to get past the windrvr6 error by following your solution. However, I have problems with subsequent steps in the design flow. I was able to download a bitstream with FSBL associated with it. In the subsequent steps of petalinux-boot --jtag --u-boot and petalinux-boot --jtag --kernel I am getting errors of unsupported version. Do you have any idea regarding how to resolve this issue?

 

Thanks in advance

 

Vignesh

Screenshot from 2015-05-07 12:07:41.png
Screenshot from 2015-05-07 12:08:51.png
0 Kudos
Reply
Highlighted
Adventurer
Adventurer
2,640 Views
Registered: ‎05-02-2017
0 Kudos
Reply